package com.borjabolufer.elevate.ui.fragments;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.borjabolufer.elevate.R;
import com.borjabolufer.elevate.model.Edad;

public class EdadFragment extends Fragment {

    public interface IOnEdadListener {
        void onEdadSelected(Edad edad);
    }

    private IOnEdadListener edadListener;

    public EdadFragment() {
        super(R.layout.fragment_edad);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        EditText editEdad = view.findViewById(R.id.editEdad);
        Button btnContinuar = view.findViewById(R.id.btnContinuarEdad);

        btnContinuar.setOnClickListener(v -> {
            String edadTexto = editEdad.getText().toString().trim();
            if (!edadTexto.isEmpty()) {
                int edadValor = Integer.parseInt(edadTexto);
                Edad edad = new Edad(edadValor);
                edadListener.onEdadSelected(edad);
            }
        });
    }

    @Override
    public void onAttach(@NonNull Context context) {
        super.onAttach(context);
        if (context instanceof IOnEdadListener) {
            edadListener = (IOnEdadListener) context;
        } else {
            throw new ClassCastException(context.toString() + " must implement IOnEdadListener");
        }
    }
}
